### Hierarchy

- unknown
  - MailboxItem

## Index

### Constructors

- constructor

### Methods

- clearDecryptedMessageWithPubKey
- clearProtectedMailboxStorageEntry
- getDecryptedMessageWithPubKey
- getProtectedMailboxStorageEntry
- hasDecryptedMessageWithPubKey
- hasProtectedMailboxStorageEntry
- serializeBinary
- setDecryptedMessageWithPubKey
- setProtectedMailboxStorageEntry
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MailboxItem(): MailboxItem

- Inherited from jspb.Message.constructor

  #### Returns MailboxItem

## Methods

### clearDecryptedMessageWithPubKey

- clearDecryptedMessageWithPubKey(): MailboxItem

- - Defined in src/protobuf/pb_pb.d.ts:2707

  #### Returns MailboxItem

### clearProtectedMailboxStorageEntry

- clearProtectedMailboxStorageEntry(): MailboxItem

- - Defined in src/protobuf/pb_pb.d.ts:2702

  #### Returns MailboxItem

### getDecryptedMessageWithPubKey

- getDecryptedMessageWithPubKey(): undefined | DecryptedMessageWithPubKey

- - Defined in src/protobuf/pb_pb.d.ts:2704

  #### Returns undefined | DecryptedMessageWithPubKey

### getProtectedMailboxStorageEntry

- getProtectedMailboxStorageEntry(): undefined | ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2699

  #### Returns undefined | ProtectedMailboxStorageEntry

### hasDecryptedMessageWithPubKey

- hasDecryptedMessageWithPubKey(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2706

  #### Returns boolean

### hasProtectedMailboxStorageEntry

- hasProtectedMailboxStorageEntry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2701

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2709

  #### Returns Uint8Array

### setDecryptedMessageWithPubKey

- setDecryptedMessageWithPubKey(value?: DecryptedMessageWithPubKey ): MailboxItem

- - Defined in src/protobuf/pb_pb.d.ts:2705

  #### Parameters

  - ##### Optional value: DecryptedMessageWithPubKey

  #### Returns MailboxItem

### setProtectedMailboxStorageEntry

- setProtectedMailboxStorageEntry(value?: ProtectedMailboxStorageEntry ): MailboxItem

- - Defined in src/protobuf/pb_pb.d.ts:2700

  #### Parameters

  - ##### Optional value: ProtectedMailboxStorageEntry

  #### Returns MailboxItem

### toObject

- toObject(includeInstance?: boolean): MailboxItem . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2710

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MailboxItem . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MailboxItem

- - Defined in src/protobuf/pb_pb.d.ts:2713

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MailboxItem

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MailboxItem, reader: BinaryReader): MailboxItem

- - Defined in src/protobuf/pb_pb.d.ts:2714

  #### Parameters

  - ##### message: MailboxItem

  - ##### reader: BinaryReader

  #### Returns MailboxItem

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MailboxItem, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2712

  #### Parameters

  - ##### message: MailboxItem

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MailboxItem ): MailboxItem . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2711

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MailboxItem

  #### Returns MailboxItem . AsObject

Generated using TypeDoc